:vertical_traffic_light:
[@data-structure/heapq](https://data-structures-and-algorithms.github.io/heapq)
==

Python's heap and priority queue library for JavaScript. Parents are
[js-data-structures](https://github.com/make-github-pseudonymous-again/js-data-structures)
and
[@heap-data-structure](https://github.com/heap-data-structure).


```js
import {
	heapify ,
	heappop ,
	heappush ,
	heappushpop ,
	heapreplace ,
	merge ,
	nlargest ,
	nsmallest ,
} from '@data-structure/heapq' ;
```

[![License](https://img.shields.io/github/license/data-structures-and-algorithms/heapq.svg)](https://raw.githubusercontent.com/data-structures-and-algorithms/heapq/main/LICENSE)
[![Version](https://img.shields.io/npm/v/@data-structure/heapq.svg)](https://www.npmjs.org/package/@data-structure/heapq)
[![Tests](https://img.shields.io/github/workflow/status/data-structures-and-algorithms/heapq/ci:test?event=push&label=tests)](https://github.com/data-structures-and-algorithms/heapq/actions/workflows/ci:test.yml?query=branch:main)
[![Dependencies](https://img.shields.io/david/data-structures-and-algorithms/heapq.svg)](https://david-dm.org/data-structures-and-algorithms/heapq)
[![Dev dependencies](https://img.shields.io/david/dev/data-structures-and-algorithms/heapq.svg)](https://david-dm.org/data-structures-and-algorithms/heapq?type=dev)
[![GitHub issues](https://img.shields.io/github/issues/data-structures-and-algorithms/heapq.svg)](https://github.com/data-structures-and-algorithms/heapq/issues)
[![Downloads](https://img.shields.io/npm/dm/@data-structure/heapq.svg)](https://www.npmjs.org/package/@data-structure/heapq)

[![Code issues](https://img.shields.io/codeclimate/issues/data-structures-and-algorithms/heapq.svg)](https://codeclimate.com/github/data-structures-and-algorithms/heapq/issues)
[![Code maintainability](https://img.shields.io/codeclimate/maintainability/data-structures-and-algorithms/heapq.svg)](https://codeclimate.com/github/data-structures-and-algorithms/heapq/trends/churn)
[![Code coverage (cov)](https://img.shields.io/codecov/c/gh/data-structures-and-algorithms/heapq/main.svg)](https://codecov.io/gh/data-structures-and-algorithms/heapq)
[![Code technical debt](https://img.shields.io/codeclimate/tech-debt/data-structures-and-algorithms/heapq.svg)](https://codeclimate.com/github/data-structures-and-algorithms/heapq/trends/technical_debt)
[![Documentation](https://data-structures-and-algorithms.github.io/heapq/badge.svg)](https://data-structures-and-algorithms.github.io/heapq/source.html)
[![Package size](https://img.shields.io/bundlephobia/minzip/@data-structure/heapq)](https://bundlephobia.com/result?p=@data-structure/heapq)

## :scroll: References

  - [Python's heapq library](https://docs.python.org/3.6/library/heapq.html).
